gallery of images uploaded by a user
Closed, ResolvedPublic

Description

It would be nice to have a special page, analogous to Special:Contributions,
that shows all files uploaded by a user, (optionally?) as a gallery. This is
probably what was intended by bug #1348, but what is requested there would
include all image pages edited by that user - which would be misleading,
especially for users who do a lot of categorizing of images, etc.


Version: 1.6.x
Severity: enhancement

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:47 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3341.
daniel created this task.Via LegacySep 3 2005, 10:44 AM
bzimport added a comment.Via ConduitSep 10 2005, 12:32 PM

wiki.bluefish wrote:

it would also be good to have a filter for all self created articles.

bzimport added a comment.Via ConduitDec 23 2005, 4:21 AM

wiki.bugzilla wrote:

(In reply to comment #1)
bug 4150 requests self created ''new'' articles to appear on "Special:Contributions"

bzimport added a comment.Via ConduitJan 3 2006, 11:41 AM

wiki.bugzilla wrote:

"Special:Newimages/Nick" works now and is live on the projects.
All images that were uploaded by a user are shown in the known
style of [[Special:Newimages]] there. Enjoy :-)

Thanks to Magnus Manske for implementing this yesterday!

bzimport added a comment.Via ConduitJan 3 2006, 12:02 PM

wiki.bugzilla wrote:

*** Bug 1348 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJan 3 2006, 3:50 PM

wiki.bugzilla wrote:

reopened due to the fact that the code was reverted in CVS

bzimport added a comment.Via ConduitJan 4 2006, 1:14 AM

wiki.bugzilla wrote:

*** Bug 1983 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitMar 2 2006, 4:02 AM

brianna.laugher wrote:

There is a standalone tool that does this:
http://tools.wikimedia.de/~daniel/WikiSense/Gallery.php

It's integrated into Commons for admins ('Gallery' tab on user namespace pages),
and regular Commons users can easily have it too. See [[commons:Commons:Tool
integration]].

It works for en.wp too, so probably it's possible to integrate there as well.

bzimport added a comment.Via ConduitMar 27 2006, 8:41 PM

robchur wrote:

(In reply to comment #7)

There is a standalone tool that does this:
http://tools.wikimedia.de/~daniel/WikiSense/Gallery.php

Ironic that the OP is the person who created this. :) However, the request is to
add this to the software in the form of a special page.

Special:Newimages is not the place to add this, since as the name suggest, it
deals with new uploads; a user could have more files uploaded than would fit in
this data set.

bzimport added a comment.Via ConduitOct 20 2006, 1:38 AM

webmaster wrote:

(In reply to comment #7)

It's integrated into Commons for admins ('Gallery' tab on user namespace pages),
and regular Commons users can easily have it too. See [[commons:Commons:Tool
integration]].

It works for en.wp too, so probably it's possible to integrate there as well.

If this has already been integrated into Commons, could we see the code ported
to core or at least an extension?

If the code already exists, it shouldn't take that long... :)

bzimport added a comment.Via ConduitJan 23 2007, 11:43 AM

brianna.laugher wrote:

(In reply to comment #3)

"Special:Newimages/Nick" works now and is live on the projects.
All images that were uploaded by a user are shown in the known
style of [[Special:Newimages]] there. Enjoy :-)

Thanks to Magnus Manske for implementing this yesterday!

This doesn't work for me. Adding the /Username makes no difference to the results.

bzimport added a comment.Via ConduitJan 23 2007, 1:20 PM

brianna.laugher wrote:

(In reply to comment #10)

OK, I figured out this functionality was removed. Nevermind.

Just wanted to mention that a major reason to introduce this is that it is
currently very difficult for users (especially new ones) to figure out where
their uploaded files "are". They are not very visible or easily accessible.
Watching Special:Newimages, I often see new users upload the same image two or
three times in a short span of time. I guess this is part of the reason why -
perhaps they closed a window/tab and they don't know where their image "went" or
how to find it again.

bzimport added a comment.Via ConduitApr 30 2007, 3:30 AM

webmaster wrote:

What ever happened to this?
I thought this had been included, then removed, but still on Commons?

I think this would be a very nice (powerful) tool for admins. I don't
necessarily see a reason to restrict it to admins, but if Brion et al know a
reason it should be admin-only, that would still be better than nothing. :)

bzimport added a comment.Via ConduitMay 7 2007, 10:37 PM

bugs wrote:

It really isn't necessary... see
http://commons.wikimedia.org/w/index.php?title=Special:Log&type=upload&user=USERNAME
(for example, I am
[http://commons.wikimedia.org/w/index.php?title=Special:Log&type=upload&user=Cbrown1023]).
You have right there a listing of image uploads by a certain user. The
toolserver tool with a gallery can be added to a monobook or a Commons.js/.css
if you really wanted that.

bzimport added a comment.Via ConduitMay 7 2007, 10:41 PM

robchur wrote:

It's something that would be nice to have. A gallery allows one to see rapidly
whether one or more of a bunch of images need to be deleted or evaluated for
licencing purposes.

Note the existence of an extension which provides this as a parser hook;
UserImages. A special page is perfectly feasible, however, and probably
preferable, since it won't be subject to caching.

Bawolff added a comment.Via ConduitMar 24 2010, 2:14 AM

Created attachment 7238
patch to filter by user for special:listfiles special:newimages

Here is a patch to add a user parameter to [[special:newimages]] and [[special:listfiles]].

This is similar to what was reverted in r12376 for being too inefficient. However I believe this patch is generally efficient as there is an index for img_user_text. (However if $wgMiserMode=false , special:listfiles uses a different query that also outputs the number of revisions the file has had. This patch might make that query worse than it currently is, not sure). Bear in mind I'm not that familiar with how sql scales, so take anything i say about efficiency with lots of salt.

Last of all, it seems as if these pages should accept the username as a specal:blah/username parameter. This patch does not do that as currently thats used for limiting the number of results.

Comments appreciated.

Attached: imageGalleryUser.patch

siebrand added a comment.Via ConduitMar 16 2011, 8:27 AM

(In reply to comment #15)
Tried to apply the patch, but it didn't apply cleanly. Entries in maintenance/language/messages.inc are missing.

Fine with me functionality wise. I was wondering if checking user existence really matters.

bzimport added a comment.Via ConduitMar 16 2011, 8:36 AM

Bryan.TongMinh wrote:

This was fixed in r65013 and r75582 and is available in 1.17. There even is a [[Special:Myuploads]]

G.Hagedorn added a comment.Via ConduitAug 23 2011, 12:45 AM

See also bug 28074 (enhancement) for the more fundamental issue of providing a means for a user to show a gallery of one owns images on one owns user page.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.